<template>
  <div class="letip-total">
    <p class="letip-total__label" v-if="label">
      {{label}}
    </p>

    <p class="letip-total__value">
      <span class="letip-total__symbol">{{symbol}}</span>
      {{value}}
    </p>
  </div>
</template>

<script>
export default {
  name: 'LeTipTotal',
  props: {
    label: { type: String, default: '' },
    value: { type: String | Number, required: true },
    symbol: { type: String, required: true },
  }
}
</script>

<style lang="scss" scoped>
  .letip-total {
    &__label {
      font-size: .8rem;
      text-align: center;
      padding-left: 8px;
    }

    &__value {
      font-size: 1.5rem;
      display: flex;
      justify-content: center;
      gap: 8px;
    }

    &__symbol {
      display: block;
    }
  }
</style>
